<script lang="ts">
	import type { PageData } from './$types'
	import Tabs from '../../components/Tabs.svelte'
	import Post from './Post.svelte'
	import History from './History.svelte'
	import Fitbit from './Fitbit.svelte'

	interface Props {
		data: PageData;
	}

	let { data }: Props = $props();

	let items = [
		{ label: 'Post Distance', value: 1, component: Post, data: data },
		{ label: 'Fitbit Sync', value: 2, component: Fitbit, data: data },
		{ label: 'History', value: 3, component: History, data: data }
	]
</script>

<Tabs activeTabValue={data.tab} {items} fixed={true}  />

<style>
</style>
